package com.storlead.sales.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
/***
  * @Description: 客户转移类型
  * @Param:
  * @return:
  * @Author: YPZ
  * @Date: 2024/5/23 17:47
  */
public enum ChangeTypeEnum {

    BUSINESS("1", "商机"),
    ORDERFORM("2", "订单"),
    COST("3", "费用"),
    INVOICE("4", "发票")
    ;

    /**
     * {@link EnumValue}标记数据库存的值是code
     */
    @EnumValue
    public String code;

    /**
     * {@link JsonValue} 标记json返回给前端显示的值是desc
     */
    @JsonValue
    public String desc;

    ChangeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
